Subject: [Softwires] Fwd: New Version Notification for draft-ietf-softwire-map-radius-07.txt

From: tianxiang li <[email-masked]>
Date: Thu, 7 Jul 2016 19:53:34 +0800

Hi all,

We've submitted a new version of draft-ietf-softwire-map-radius
(version-07) according to comments from the mailing list.

The main changes are listed below:

1. Changed draft title to "RADIUS Attribute for Softwire"
2. Separated the use of terms MAP and S46
3. Numbered the messages in Figure 1 and numbered the supporting text
4. Removed Figure 2 in section 3 and added text explaining the difference
5. Removed text about caching of S46 configuration on BNG from section 3
6. Added a table in section 4.5 showing the valid combination of sub
options supplied for each Softwire mechanism
7. Added reference to RFC7678 in section 7 Diameter Considerations

We really appreciate your comments.

Thanks,
Tianxiang

---------- Forwarded message ----------
From: <[email-masked]>
Date: 2016-07-07 19:21 GMT+08:00
Subject: New Version Notification for draft-ietf-softwire-map-radius-07.txt
To: Bing Liu <[email-masked]>, Sheng Jiang <[email-masked]>,
Peter Deacon <[email-masked]>, Yu Fu <[email-masked]>, Tianxiang Li
<[email-masked]>, Chongfeng Xie <[email-masked]>

A new version of I-D, draft-ietf-softwire-map-radius-07.txt
has been successfully submitted by Tianxiang Li and posted to the
IETF repository.

Name:           draft-ietf-softwire-map-radius
Revision:       07
Title:          RADIUS Attribute for Softwire
Document date:  2016-07-07
Group:          softwire
Pages:          19
URL:
https://www.ietf.org/internet-drafts/draft-ietf-softwire-map-radius-07.txt
Status:
https://datatracker.ietf.org/doc/draft-ietf-softwire-map-radius/
Htmlized:
https://tools.ietf.org/html/draft-ietf-softwire-map-radius-07
Diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-softwire-map-radius-07

Abstract:
   IPv4-over-IPv6 transition mechanisms provide both IPv4 and IPv6
   connectivity services simultaneously during the IPv4/IPv6 co-existing
   period.  The Dynamic Host Configuration Protocol for IPv6 (DHCPv6)
   options have been defined to configure Customer Edge (CE) in MAP-E,
   MAP-T, and Lightweight 4over6.  However, in many networks, the
   configuration information may be stored in Authentication
   Authorization and Accounting (AAA) servers while user configuration
   is mainly from Broadband Network Gateway (BNG) through DHCPv6
   protocol.  This document defines a Remote Authentication Dial In User
   Service (RADIUS) attribute that carries CE configuration information
   from AAA server to BNG.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: <[email-masked]>
Date: Mon, 11 Jul 2016 07:55:23 +0000

Hi Tianxiang,

Please see inline.

Cheers,
Med

De : Softwires [mailto:[email-masked]] De la part de tianxiang li
Envoyé : jeudi 7 juillet 2016 13:54
À : [email-masked]
Objet : [Softwires] Fwd: New Version Notification for draft-ietf-softwire-map-radius-07.txt

Hi all,

We've submitted a new version of draft-ietf-softwire-map-radius (version-07) according to comments from the mailing list.

1. Changed draft title to "RADIUS Attribute for Softwire"
[Med] This title may be misleading given that DS-Lite RADIUS attributes are not defined in this document but in RFC6519. Please consider adding a note to describe the scope of the document (that is “softwire – dslite”).

6. Added a table in section 4.5 showing the valid combination of sub options supplied for each Softwire mechanism

We really appreciate your comments.
[Med] I have two comments:
* I reiterate my request to include multicast-related attributes into the document.
* The format/specification of the attributes should adhere to RFC6929 and https://tools.ietf.org/html/draft-ietf-radext-datatypes-04#section-2.

Thanks,
Tianxiang

---------- Forwarded message ----------
From: <[email-masked]<mailto:[email-masked]>>
Date: 2016-07-07 19:21 GMT+08:00
Subject: New Version Notification for draft-ietf-softwire-map-radius-07.txt
To: Bing Liu <[email-masked]<mailto:[email-masked]>>, Sheng Jiang <[email-masked]<mailto:[email-masked]>>, Peter Deacon <[email-masked]<mailto:[email-masked]>>, Yu Fu <[email-masked]<mailto:[email-masked]>>, Tianxiang Li <[email-masked]<mailto:[email-masked]>>, Chongfeng Xie <[email-masked]<mailto:[email-masked]>>

Name:           draft-ietf-softwire-map-radius
Revision:       07
Title:          RADIUS Attribute for Softwire
Document date:  2016-07-07
Group:          softwire
Pages:          19
URL:            https://www.ietf.org/internet-drafts/draft-ietf-softwire-map-radius-07.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-softwire-map-radius/
Htmlized:       https://tools.ietf.org/html/draft-ietf-softwire-map-radius-07
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-softwire-map-radius-07

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

The IETF Secretariat

---

From: tianxiang li <[email-masked]>
Date: Tue, 12 Jul 2016 11:40:59 +0800

Hi Med,

Thank you for your comments.
Please see inline(TX>)

Cheers,
Tianxiang

2016-07-11 15:55 GMT+08:00 <[email-masked]>:

> Hi Tianxiang,
>
>
>
> Please see inline.
>
>
>
> Cheers,
>
> Med
>
>
>
> *De :* Softwires [mailto:[email-masked]] *De la part de*
> tianxiang li
> *Envoyé :* jeudi 7 juillet 2016 13:54
> *À :* [email-masked]
> *Objet :* [Softwires] Fwd: New Version Notification for
> draft-ietf-softwire-map-radius-07.txt
>
>
>
> Hi all,
>
>
>
> [Med] This title may be misleading given that DS-Lite RADIUS attributes
> are not defined in this document but in RFC6519. Please consider adding a
> note to describe the scope of the document (that is “softwire – dslite”).
>
>
>
TX>Currently, the text in the draft states that it covers only Map-T,
Map-E, and Lightweigfht 4over6. I guess we could add some additional text
to avoid the confusion caused by the title, and a reference to DS-Lite
RADIUS if necessary.

> * I reiterate my request to include multicast-related attributes into the

TX>I think we'll need consensus from the working group on this matter. If
the working group is in favor of adding multicast-related attributes into
the document, we could merge it in the next version update.

> * The format/specification of the attributes should adhere to RFC6929 and
> https://tools.ietf.org/html/draft-ietf-radext-datatypes-04#section-2.
>
>
>
TX>Thank you for the suggestion, we'll check the attribute format in
accordance to these documents respectively.

> Peter Deacon <[email-masked]>, Yu Fu <[email-masked]>, Tianxiang
> Li <[email-masked]>, Chongfeng Xie <[email-masked]>
>
>
>